module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/components/editor-contribution.tsx":
/*!************************************************!*\
  !*** ./src/components/editor-contribution.tsx ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const platform_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/platform/registry/common/platform */ "@vscode/monaco-editor/esm/vs/platform/registry/common/platform");
const constants_2 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
const editor_1 = __webpack_require__(/*! ./editor */ "./src/components/editor.tsx");
exports.TextResourceEditor = props => {
    return (React.createElement(editor_1.EditorContributionFill, null, (editorProps) => {
        return editorProps.visibleEditorId === props.ID ? (React.createElement(components_1.MonacoEditor, Object.assign({}, editorProps))) : null;
    }));
};
exports.TextResourceEditor.defaultProps = { ID: constants_1.TEXT_RESOURCE_EDITOR_ID };
exports.TextDiffEditor = props => {
    return (React.createElement(editor_1.EditorContributionFill, null, (editorProps) => editorProps.visibleEditorId === props.ID ? (React.createElement(components_1.MonacoDiffEditor, Object.assign({}, editorProps))) : null));
};
exports.TextDiffEditor.defaultProps = { ID: constants_1.TEXT_DIFF_EDITOR_ID };
exports.BinaryResourceDiffEditor = props => {
    return (React.createElement(editor_1.EditorContributionFill, null, (editorProps) => editorProps.visibleEditorId === props.ID ? (React.createElement(components_1.MonacoDiffEditor, Object.assign({}, editorProps))) : null));
};
exports.BinaryResourceDiffEditor.defaultProps = { ID: constants_1.BINARY_DIFF_EDITOR_ID };
exports.SideBySideEditor = props => {
    return (React.createElement(editor_1.EditorContributionFill, null, (editorProps) => editorProps.visibleEditorId === props.ID ? (React.createElement(components_1.MonacoDiffEditor, Object.assign({}, editorProps))) : null));
};
exports.SideBySideEditor.defaultProps = { ID: constants_1.SIDE_BY_SIDE_EDITOR_ID };
exports.EditorContribution = props => {
    platform_1.Registry.as(constants_2.ClientExtensions.Editors).registerEditor({
        id: exports.TextResourceEditor.defaultProps.ID,
        name: exports.TextResourceEditor.displayName,
    }, [{ __typename: "ResourceEditorInput" }, { __typename: "UntitledEditorInput" }]);
    platform_1.Registry.as(constants_2.ClientExtensions.Editors).registerEditor({
        id: exports.TextResourceEditor.defaultProps.ID,
        name: exports.TextResourceEditor.displayName,
    }, [{ __typename: "FileEditorInput" }]);
    platform_1.Registry.as(constants_2.ClientExtensions.Editors).registerEditor({
        id: exports.TextDiffEditor.defaultProps.ID,
        name: exports.TextResourceEditor.displayName,
    }, [{ __typename: "DiffEditorInput" }]);
    platform_1.Registry.as(constants_2.ClientExtensions.Editors).registerEditor({
        id: exports.BinaryResourceDiffEditor.defaultProps.ID,
        name: exports.TextResourceEditor.displayName,
    }, [{ __typename: "DiffEditorInput" }]);
    platform_1.Registry.as(constants_2.ClientExtensions.Editors).registerEditor({
        id: exports.SideBySideEditor.defaultProps.ID,
        name: exports.TextResourceEditor.displayName,
    }, [{ __typename: "SideBySideEditorInput" }]);
    return (React.createElement(React.Fragment, null,
        React.createElement(exports.TextResourceEditor, Object.assign({}, props)),
        React.createElement(exports.TextDiffEditor, Object.assign({}, props)),
        React.createElement(exports.BinaryResourceDiffEditor, Object.assign({}, props)),
        React.createElement(exports.SideBySideEditor, Object.assign({}, props))));
};


/***/ }),

/***/ "./src/components/editor.tsx":
/*!***********************************!*\
  !*** ./src/components/editor.tsx ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
const platform_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/platform/registry/common/platform */ "@vscode/monaco-editor/esm/vs/platform/registry/common/platform");
const constants_2 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
_a = components_1.createSlotFill(constants_1.EDITOR_SLOT_PROVIDER), exports.EditorContributionFill = _a.Fill, exports.EditorSlot = _a.Slot;
exports.Editor = (props) => {
    const registry = platform_1.Registry.as(constants_2.ClientExtensions.Editors);
    const typename = props.input ? props.input.__typename : "FileEditorInput";
    const editorDescriptor = registry.getEditor({ __typename: typename });
    return (editorDescriptor ? React.createElement(exports.EditorSlot, { fillProps: Object.assign({}, props, { visibleEditorId: editorDescriptor.id, uri: props.input.resource }) }) : null);
};


/***/ }),

/***/ "./src/components/index.ts":
/*!*********************************!*\
  !*** ./src/components/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./editor-contribution */ "./src/components/editor-contribution.tsx"));
__export(__webpack_require__(/*! ./editor */ "./src/components/editor.tsx"));


/***/ }),

/***/ "./src/constants/constants.ts":
/*!************************************!*\
  !*** ./src/constants/constants.ts ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.EDITOR_SLOT_PROVIDER = 'EDITOR_SLOT_PROVIDER';
var CacheTypenames;
(function (CacheTypenames) {
    CacheTypenames["Context"] = "Context";
    CacheTypenames["ResourceEditorInput"] = "ResourceEditorInput";
    CacheTypenames["DiffEditorInput"] = "DiffEditorInput";
    CacheTypenames["SideBySideEditorInput"] = "SideBySideEditorInput";
    CacheTypenames["UntitledEditorInput"] = "UntitledEditorInput";
    CacheTypenames["FileEditorInput"] = "FileEditorInput";
})(CacheTypenames = exports.CacheTypenames || (exports.CacheTypenames = {}));
exports.TEXT_RESOURCE_EDITOR_ID = 'workbench.editors.textResourceEditor';
exports.TEXT_DIFF_EDITOR_ID = 'workbench.editors.textDiffEditor';
exports.BINARY_DIFF_EDITOR_ID = 'workbench.editors.binaryResourceDiffEditor';
exports.SIDE_BY_SIDE_EDITOR_ID = 'workbench.editor.sidebysideEditor';
exports.ClientExtensions = {
    Editors: 'workbench.contributions.editors',
};


/***/ }),

/***/ "./src/constants/index.ts":
/*!********************************!*\
  !*** ./src/constants/index.ts ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./constants */ "./src/constants/constants.ts"));


/***/ }),

/***/ "./src/containers/index.ts":
/*!*********************************!*\
  !*** ./src/containers/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./module */ "./src/containers/module.ts"));


/***/ }),

/***/ "./src/containers/module.ts":
/*!**********************************!*\
  !*** ./src/containers/module.ts ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
const services_1 = __webpack_require__(/*! ../services */ "./src/services/index.ts");
exports.workbenchModule = () => new inversify_1.ContainerModule((bind) => {
    bind(core_1.ClientTypes.IEditorService).to(services_1.EditorService);
    bind(core_1.ClientTypes.IModelService).to(services_1.ModelService);
    bind(core_1.ClientTypes.IModeService).to(services_1.ModeService);
    bind(core_1.ClientTypes.IContextKeyService).to(services_1.ContextKeyService);
    bind(core_1.ClientTypes.IResourceContextKey).to(services_1.ResourceContextKey);
});


/***/ }),

/***/ "./src/core/editor-registry.ts":
/*!*************************************!*\
  !*** ./src/core/editor-registry.ts ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/base/common/types */ "@vscode/monaco-editor/esm/vs/base/common/types");
const platform_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/platform/registry/common/platform */ "@vscode/monaco-editor/esm/vs/platform/registry/common/platform");
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
const INPUT_DESCRIPTORS_PROPERTY = '__$inputDescriptors';
class EditorRegistry {
    constructor() {
        this.editors = [];
    }
    registerEditor(descriptor, editorInputDescriptor) {
        let inputDescriptors = [];
        if (!types_1.isArray(editorInputDescriptor)) {
            inputDescriptors.push(editorInputDescriptor.__typename);
        }
        else {
            inputDescriptors = editorInputDescriptor.map(ed => ed.__typename);
        }
        descriptor[INPUT_DESCRIPTORS_PROPERTY] = inputDescriptors;
        this.editors.push(descriptor);
    }
    getEditor(input) {
        const findEditorDescriptors = (input) => {
            const matchingDescriptors = [];
            for (const editor of this.editors) {
                const inputDescriptors = editor[INPUT_DESCRIPTORS_PROPERTY];
                for (const inputDescriptor of inputDescriptors) {
                    if (inputDescriptor === input.__typename) {
                        matchingDescriptors.push(editor);
                        break;
                    }
                }
            }
            return matchingDescriptors;
        };
        const descriptors = findEditorDescriptors(input);
        if (descriptors && descriptors.length > 0) {
            console.log(' To be worked');
        }
        return descriptors[0];
    }
    getEditorById(editorId) {
        for (const editor of this.editors) {
            if (editor.id === editorId) {
                return editor;
            }
        }
        return null;
    }
    getEditors() {
        return this.editors.slice(0);
    }
}
platform_1.Registry.add(constants_1.ClientExtensions.Editors, new EditorRegistry());


/***/ }),

/***/ "./src/graphql/defaults.ts":
/*!*********************************!*\
  !*** ./src/graphql/defaults.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.defaults = {
    Context: {},
};


/***/ }),

/***/ "./src/graphql/index.ts":
/*!******************************!*\
  !*** ./src/graphql/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const apollo_cache_inmemory_1 = __webpack_require__(/*! apollo-cache-inmemory */ "apollo-cache-inmemory");
const introspection_result_1 = __importDefault(__webpack_require__(/*! ./introspection-result */ "./src/graphql/introspection-result.ts"));
const fragmentMatcher = new apollo_cache_inmemory_1.IntrospectionFragmentMatcher({
    introspectionQueryResultData: introspection_result_1.default,
});
exports.fragmentMatcher = fragmentMatcher;
__export(__webpack_require__(/*! ./resolvers */ "./src/graphql/resolvers/index.ts"));
__export(__webpack_require__(/*! ./schemas */ "./src/graphql/schemas/index.ts"));
__export(__webpack_require__(/*! ./defaults */ "./src/graphql/defaults.ts"));


/***/ }),

/***/ "./src/graphql/introspection-result.ts":
/*!*********************************************!*\
  !*** ./src/graphql/introspection-result.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const result = {
    "__schema": {
        "types": [
            {
                "kind": "INTERFACE",
                "name": "ISearchCompleteStats",
                "possibleTypes": [
                    {
                        "name": "SearchComplete"
                    }
                ]
            },
            {
                "kind": "UNION",
                "name": "SearchCompleteStatsStats",
                "possibleTypes": [
                    {
                        "name": "FileSearchStats"
                    },
                    {
                        "name": "TextSearchStats"
                    }
                ]
            },
            {
                "kind": "UNION",
                "name": "FileSearchStatsdetailStats",
                "possibleTypes": [
                    {
                        "name": "SearchEngineStats"
                    },
                    {
                        "name": "CachedSearchStats"
                    },
                    {
                        "name": "FileSearchProviderStats"
                    },
                    {
                        "name": "FileIndexProviderStats"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IFileMatch",
                "possibleTypes": [
                    {
                        "name": "FileMatch"
                    },
                    {
                        "name": "SearchProgressItem"
                    }
                ]
            },
            {
                "kind": "UNION",
                "name": "TextSearchResult",
                "possibleTypes": [
                    {
                        "name": "TextSearchMatch"
                    },
                    {
                        "name": "TextSearchContext"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IBaseStatWithMetadata",
                "possibleTypes": [
                    {
                        "name": "FileStatWithMetadata"
                    },
                    {
                        "name": "FileContent"
                    },
                    {
                        "name": "TextFileContent"
                    },
                    {
                        "name": "TextFileStreamContent"
                    },
                    {
                        "name": "FileStreamContent"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IBaseStat",
                "possibleTypes": [
                    {
                        "name": "FileStatWithMetadata"
                    },
                    {
                        "name": "FileContent"
                    },
                    {
                        "name": "TextFileContent"
                    },
                    {
                        "name": "TextFileStreamContent"
                    },
                    {
                        "name": "TextFilePublishContent"
                    },
                    {
                        "name": "FileStat"
                    },
                    {
                        "name": "FileStreamContent"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IFileClientMetadata",
                "possibleTypes": [
                    {
                        "name": "FileStatWithMetadata"
                    },
                    {
                        "name": "TextFileContent"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "ITreeItem",
                "possibleTypes": [
                    {
                        "name": "FileStatWithMetadata"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IBaseTextFileContent",
                "possibleTypes": [
                    {
                        "name": "TextFileContent"
                    },
                    {
                        "name": "TextFileStreamContent"
                    },
                    {
                        "name": "TextFilePublishContent"
                    }
                ]
            },
            {
                "kind": "UNION",
                "name": "EditorChildren",
                "possibleTypes": [
                    {
                        "name": "EditorPart"
                    },
                    {
                        "name": "EditorGroup"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IEditorGroup",
                "possibleTypes": [
                    {
                        "name": "EditorGroup"
                    }
                ]
            },
            {
                "kind": "UNION",
                "name": "EditorInput",
                "possibleTypes": [
                    {
                        "name": "UntitledEditorInput"
                    },
                    {
                        "name": "ResourceEditorInput"
                    },
                    {
                        "name": "SideBySideEditorInput"
                    },
                    {
                        "name": "FileEditorInput"
                    },
                    {
                        "name": "DiffEditorInput"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IEditorInput",
                "possibleTypes": [
                    {
                        "name": "UntitledEditorInput"
                    },
                    {
                        "name": "ResourceEditorInput"
                    },
                    {
                        "name": "SideBySideEditorInput"
                    },
                    {
                        "name": "FileEditorInput"
                    },
                    {
                        "name": "DiffEditorInput"
                    },
                    {
                        "name": "EditorInput_old"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IEditorInputWithGroupFields",
                "possibleTypes": [
                    {
                        "name": "UntitledEditorInput"
                    },
                    {
                        "name": "ResourceEditorInput"
                    },
                    {
                        "name": "SideBySideEditorInput"
                    },
                    {
                        "name": "FileEditorInput"
                    },
                    {
                        "name": "DiffEditorInput"
                    },
                    {
                        "name": "EditorInput_old"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "IFileEditorInput",
                "possibleTypes": [
                    {
                        "name": "FileEditorInput"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "Node",
                "possibleTypes": [
                    {
                        "name": "RegistryExtension"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "SettingsSubject",
                "possibleTypes": [
                    {
                        "name": "IUserSettings"
                    },
                    {
                        "name": "FolderSettings"
                    },
                    {
                        "name": "GlobalSettings"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "ICommonQueryProps",
                "possibleTypes": []
            },
            {
                "kind": "INTERFACE",
                "name": "ISearchProgress",
                "possibleTypes": [
                    {
                        "name": "SearchProgressItem"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "Range",
                "possibleTypes": []
            },
            {
                "kind": "INTERFACE",
                "name": "ITextDocumentIdentifier",
                "possibleTypes": [
                    {
                        "name": "TextDocumentIdentifier"
                    },
                    {
                        "name": "TextDocumentItem"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "TextDocumentPositionParams",
                "possibleTypes": [
                    {
                        "name": "ProvideTextDocumentLocationSignature"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "Location",
                "possibleTypes": [
                    {
                        "name": "ProvideTextDocumentLocationSignature"
                    }
                ]
            },
            {
                "kind": "INTERFACE",
                "name": "Hover",
                "possibleTypes": []
            },
            {
                "kind": "INTERFACE",
                "name": "MarkupContent",
                "possibleTypes": []
            }
        ]
    }
};
exports.default = result;


/***/ }),

/***/ "./src/graphql/resolvers/index.ts":
/*!****************************************!*\
  !*** ./src/graphql/resolvers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./resolver */ "./src/graphql/resolvers/resolver.ts"));


/***/ }),

/***/ "./src/graphql/resolvers/resolver.ts":
/*!*******************************************!*\
  !*** ./src/graphql/resolvers/resolver.ts ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = __importDefault(__webpack_require__(/*! graphql-tag */ "graphql-tag"));
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
const EDITOR_CONTEXT_FRAGMENT = graphql_tag_1.default `
    fragment context on Context {
        resource
        resourceSet
        resourceScheme
        resourceLangId
        resourceExtName
        resourceFilename
        isFileSystemResource
    }
`;
const resolvers = {
    Query: {
        getContextProperty(_, {}, { cache, getCacheKey }) {
            try {
                const data = cache.readFragment({
                    fragment: EDITOR_CONTEXT_FRAGMENT,
                    id: getCacheKey({ __typename: "Context" }),
                });
                console.log('[ha5sb]: ', { data, cache });
                return data;
            }
            catch (err) {
                console.log('[ha5sb]: ', { error: err });
            }
        },
        getContextData(parent, args, context) {
            return context.cache.readFragment({
                fragment: core_1.AllContextFragmentDoc,
                id: this.utility.getCacheKey({ __typename: "Context" }),
            });
        },
        selectedResource: (parent, args, context) => {
            return context.getClientServices().resourceContextKey.get();
        },
    },
    Mutation: {
        updateContext: (_, args, context) => {
            context.getClientServices().contextKeyService.setContext(args.key, args.value);
            return true;
        },
        updateSelectedResource: (parents, { resource }, context) => {
            context.getClientServices().resourceContextKey.set(resource);
            return true;
        },
    },
};
exports.resolvers = resolvers;


/***/ }),

/***/ "./src/graphql/schemas/context.graphql":
/*!*********************************************!*\
  !*** ./src/graphql/schemas/context.graphql ***!
  \*********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\ninput ContextInput {\n    folder: String\n    \n    originalResourceScheme: scmResourceGroups\n    view: String\n    viewItem: String\n    gitOpenRepositoryCount: Int\n    isInDiffEditor: Boolean\n    isInDiffRightEditor: Boolean\n\n\n    ## resource\n    resourceScheme: String\n    resourceFilename: String\n    resourceLangId: String\n    resource: String\n    resourceExtName: String\n    resourceSet: Boolean\n    isFileSystemResource: Boolean\n\n    ## ContextKeys\n    inputFocus: Boolean\n\n    ## SuggestWidgetVisible\n    suggestWidgetVisible: Boolean\n    suggestWidgetMultipleSuggestions: Boolean\n    suggestionMakesTextEdit: Boolean\n    acceptSuggestionOnEnter: Boolean\n    hasOtherSuggestions: Boolean\n\n    ## fileCommands\n    groupFocusedInOpenEditors: Boolean\n    dirtyEditor: Boolean\n    resourceSelectedForCompare: Boolean\n\n    ## FileAction\n    fileCopied: Boolean\n\n    ## Breadcrums\n    breadcrumbsPossible: Boolean\n    breadcrumbsVisible: Boolean\n    breadcrumbsActive: Boolean\n\n    ## History\n    canNavigateBack: Boolean\n    canNavigateForward: Boolean\n    canNavigateToLastEditLocation: Boolean\n\n    ## DirtyDiffDecorator\n    dirtyDiffVisible: Boolean\n\n    ## keybinding cancellation\n    cancellableOperation: Boolean\n\n    ## SignatureHelp\n    parameterHintsVisible: Boolean\n    parameterHintsMultipleSignatures: Boolean\n\n    markdownPreviewFocus: Boolean\n\n    isMac: Boolean\n    isLinux: Boolean\n    isWindows: Boolean\n\n    remoteAuthority: String\n    remoteConnectionState: ProvidedRemoteConnectionStates\n    \n    hasMacNativeTabs: Boolean\n    supportsWorkspaces: Boolean\n    isDevelopment: Boolean\n    workbenchState: String\n    workspaceFolderCount: Int\n    remoteFileDialogVisible: Boolean\n    isFullscreen: Boolean\n\n    ## WordContextKey\n    atEndOfWord: Boolean\n\n\n    ## SCM\n    scmRepository: String\n    scmProvider: String\n    scmResourceGroup: scmResourceGroups\n\n    ## Code Editor\n    inDiffEditorKey: Boolean\n    isDominatedByLongLines: Boolean\n    isWordWrapMinified: Boolean\n\n    ## Comments\n    commentThread: String\n    commentThreadisEmpty: Boolean\n    commentIsEmpty: Boolean\n\n    ## CommentEditor\n    commentEditorFocused: Boolean\n\n    ## welcomeOverlay\n    interfaceOverviewVisible: Boolean\n\n    ##peekViewWidget\n    inReferenceSearchEditor: Boolean\n\n    ## referencesController\n    referenceSearchVisible: Boolean\n\n    ## listService\n    listFocus: Boolean\n    listSupportsMultiSelect: Boolean\n    listHasSelectionOrFocus: Boolean\n    listDoubleSelection: Boolean\n    listMultiSelection: Boolean\n    listSupportsKeyboardNavigation: Boolean\n    WorkbenchListAutomaticKeyboardNavigationKey: Boolean\n\n    ## accessiblityHelp\n    accessibilityHelpWidgetVisible: Boolean\n\n    ## quickopen\n    inQuickOpenKey: Boolean\n\n    ## codeActionModel\n    supportedCodeAction: String\n\n    ## rename input field\n    renameInputVisible: Boolean\n\n    ## goToDefinitionResultsNavigation\n    hasSymbols: Boolean\n\n    ## tabCompletion\n    hasSnippetCompletions: Boolean\n\n    ## Message\n    messageVisible: Boolean\n\n    ## CallHierarchy\n    editorHasCallHierarchyProvider: Boolean\n    callHierarchyVisible: Boolean\n\n    ## Notification\n    notificationCenterVisible: Boolean\n    notificationToastsVisible: Boolean\n    notificationFocus: Boolean\n\n    ## Search\n    searchViewletVisible: Boolean\n    searchViewletFocus: Boolean\n    inputBoxFocus: Boolean\n    searchInputBoxFocus: Boolean\n    replaceInputBoxFocus: Boolean\n    patternIncludesInputBoxFocus: Boolean\n    patternExcludesInputBoxFocus: Boolean\n    replaceActive: Boolean\n    hasSearchResult: Boolean\n    firstMatchFocus: Boolean\n    fileMatchOrMatchFocus: Boolean\n    fileMatchOrFolderMatchFocus: Boolean\n    fileMatchFocus: Boolean\n    folderMatchFocus: Boolean\n    matchFocus: Boolean\n\n    ## windowPicker\n    inRecentFilesPicker: Boolean\n    inWindowsPicker: Boolean\n\n    ## findModel\n    findWidgetVisible: Boolean\n    findInputFocussed: Boolean\n    replaceInputFocussed: Boolean\n\n    ## Editor\n    \"\"\"\n     A context key that is set when the editor's text has focus (cursor is blinking).\n    \"\"\"\n    editorTextFocus: Boolean\n    \"\"\"\n     A context key that is set when the editor's text or an editor's widget has focus.\n    \"\"\"\n    editorFocus: Boolean\n    \"\"\"\n     A context key that is set when any editor input has focus (regular editor, repl input...).\n    \"\"\"\n    textInputFocus: Boolean\n    editorReadonly: Boolean\n    editorHasSelection: Boolean\n    editorHasMultipleSelections: Boolean\n    editorTabMoveFocus: Boolean\n    isInEmbeddedEditor: Boolean\n    canUndo: Boolean\n    canRedo: Boolean\n    editorLangId: String\n    editorHasCompletionItemProvider: Boolean\n    editorHasCodeActionsProvider: Boolean\n    editorHasDefinitionProvider: Boolean\n    editorHasDeclarationProvider: Boolean\n    editorHasImplementationProvider: Boolean\n    editorHasTypeDefinitionProvider: Boolean\n    editorHasHoverProvider: Boolean\n    editorHadDocumentHighlightProvider: Boolean\n    editorHasDocumentSymbolProvider: Boolean\n    editorHasReferenceProvider: Boolean\n    editorHasRenameProvider: Boolean\n    editorHasSignatureHelpProvider: Boolean\n    editorHasDocumentFormattingProvider: Boolean\n    editorHasDocumentSelectionFormattingProvider: Boolean\n    editorHasMultipleDocumentSelectionFormattingProvider: Boolean\n    \n    ## Editor Groups\n    activeEditor: String\n    editorIsOpen: Boolean\n    editorPinned: Boolean\n    groupActiveEditorDirty: Boolean\n    groupEditorsCount: Int\n    textCompareEditorVisible: Boolean\n    textCompareEditorActive: Boolean\n    activeEditorGroupEmpty: Boolean\n    multipleEditorGroups: Boolean\n    inZenMode: Boolean\n    inCenteredLayout: Boolean\n    splitEditorsVertically: Boolean\n\n    ## Viewlet\n    sideBarVisible: Boolean\n    sideBarFocus: Boolean\n    activeViewlet: String\n\n    ## Panel\n    activePanel: String\n    panelFocus: Boolean\n    panelPosition: String\n\n    ## Debug\n    debugType: String\n    debugConfigurationType: String\n    debugState: String\n    inDebugMode: Boolean\n    inDebugRepl: Boolean\n    breakpointWidgetVisible: Boolean\n    watchExpressionsFocused: Boolean\n    variablesFocused: Boolean\n    expressionSelected: Boolean\n    breakpointSelected: Boolean\n    callStackItemType: Boolean\n    loadedScriptsSupported: Boolean\n    loadedScriptsItemType: Boolean\n    focusedSessionIsAttach: Boolean\n    stepBackSupported: Boolean\n    restartFrameSupported: Boolean\n\n    inSettingsEditor: Boolean\n    inSettingsJSONEditor: Boolean\n    inSettingsSearch: Boolean\n    settingsTocRowFocus: Boolean\n    inKeybindings: Boolean\n    inKeybindingsSearch: Boolean\n    keybindingFocus: Boolean\n\n    ## Context keys to use with keybindings for the Explorer and Open Editors view\n    explorerViewletVisible: Boolean\n    explorerResourceIsFolder: Boolean\n    explorerResourceReadonly: Boolean\n    explorerResourceIsRoot: Boolean\n    explorerResourceCut: Boolean\n    explorerResourceMoveableToTrash: Boolean\n    filesExplorerFocus: Boolean\n    openEditorsVisible: Boolean\n    openEditorsFocus: Boolean\n    explorerViewletFocus: Boolean\n\n    ## xterm\n    \"\"\"\n     A context key that is set when there is at least one opened integrated terminal.\n    \"\"\"\n    terminalIsOpen: Boolean\n    \"\"\"\n     A context key that is set when the integrated terminal has focus.\n    \"\"\"\n    terminalFocus: Boolean\n    \"\"\"\n     A keybinding context key that is set when the integrated terminal has text selected.\n    \"\"\"\n    terminalTextSelected: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is visible.\n    \"\"\"\n    terminalFindWidgetVisible: Boolean\n    \"\"\"\n     A context key that is set when the find widget find input in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetInputFocused: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetFocused: Boolean\n\n    ## Webview\n    \"\"\"\n     Set when the find widget in a webview is visible\n    \"\"\"\n    webviewFindWidgetVisible: Boolean\n\n    ## Tasks\n    taskRunning: Boolean\n\n    ## referncesWidget\n    referenceSearchTreeFocused: Boolean\n\n    ## WarlkThroughPart\n    interactivePlaygroundFocus: Boolean\n\n    ## Document Symbols\n    outlineFiltered: Boolean\n    outlineFocused: Boolean\n\n    ## Markers\n    problemsViewFocus: Boolean\n    problemFocus: Boolean\n    problemsFilterFocus: Boolean\n    relatedInformationFocus: Boolean\n\n    ## Output\n    inOutput: Boolean\n    activeLogOutput: Boolean\n\n    ## ToggleMultiCursorModifier\n    multiCursorModifier: String\n\n    ## saveErrorHandler\n    saveConflictResolutionContext: Boolean\n\n    ## gotoError\n    markersNavigationVisible: Boolean\n\n    ## wordHighlighter\n    hasWordHighlights: Boolean\n\n    ## Extension\n    profileSessionState: String\n    extensionHostProfileRecorded: Boolean\n\n    ## ContextScopedHistoryWidget\n    historyNavigationEnabled: Boolean\n    historyNavigationWidget: Boolean\n\n    ## Extension Viewlet\n    nonEmptyWorkspace: Boolean\n    defaultExtensionViews: Boolean\n    searchMarketplaceExtensions: Boolean\n    searchInstalledExtensions: Boolean\n    searchOutdatedExtensions: Boolean\n    searchEnabledExtensions: Boolean\n    searchDisabledExtensions: Boolean\n    hasInstalledExtensions: Boolean\n    searchBuiltInExtensions: Boolean\n    recommendedExtensions: Boolean\n    defaultRecommendedExtensions: Boolean\n\n    ## ExtensionsActions\n    workspaceRecommendations: Boolean\n    workspaceFolderRecommendations: Boolean\n    addToWorkspaceRecommendations: Boolean\n    addToWorkspaceFolderRecommendations: Boolean\n\n}\ntype Context {\n    # folder: String\n    \n    originalResourceScheme: scmResourceGroups\n    view: String\n    viewItem: String\n    gitOpenRepositoryCount: Int\n    isInDiffEditor: Boolean\n    isInDiffRightEditor: Boolean\n\n\n    ## resource\n    resourceScheme: String\n    resourceFilename: String\n    resourceLangId: String\n    resource: String\n    resourceExtName: String\n    resourceSet: Boolean\n    isFileSystemResource: Boolean\n\n    ## ContextKeys\n    inputFocus: Boolean\n\n    ## SuggestWidgetVisible\n    suggestWidgetVisible: Boolean\n    suggestWidgetMultipleSuggestions: Boolean\n    suggestionMakesTextEdit: Boolean\n    acceptSuggestionOnEnter: Boolean\n    hasOtherSuggestions: Boolean\n\n    ## fileCommands\n    groupFocusedInOpenEditors: Boolean\n    dirtyEditor: Boolean\n    resourceSelectedForCompare: Boolean\n\n    ## FileAction\n    fileCopied: Boolean\n\n    ## Breadcrums\n    breadcrumbsPossible: Boolean\n    breadcrumbsVisible: Boolean\n    breadcrumbsActive: Boolean\n\n    ## History\n    canNavigateBack: Boolean\n    canNavigateForward: Boolean\n    canNavigateToLastEditLocation: Boolean\n\n    ## DirtyDiffDecorator\n    dirtyDiffVisible: Boolean\n\n    ## keybinding cancellation\n    cancellableOperation: Boolean\n\n    ## SignatureHelp\n    parameterHintsVisible: Boolean\n    parameterHintsMultipleSignatures: Boolean\n\n    markdownPreviewFocus: Boolean\n\n    isMac: Boolean\n    isLinux: Boolean\n    isWindows: Boolean\n\n    remoteAuthority: String\n    remoteConnectionState: ProvidedRemoteConnectionStates\n    \n    hasMacNativeTabs: Boolean\n    supportsWorkspaces: Boolean\n    isDevelopment: Boolean\n    workbenchState: String\n    workspaceFolderCount: Int\n    remoteFileDialogVisible: Boolean\n    isFullscreen: Boolean\n\n    ## WordContextKey\n    atEndOfWord: Boolean\n\n\n    ## SCM\n    scmRepository: String\n    scmProvider: String\n    scmResourceGroup: scmResourceGroups\n\n    ## Code Editor\n    inDiffEditorKey: Boolean\n    isDominatedByLongLines: Boolean\n    isWordWrapMinified: Boolean\n\n    ## Comments\n    commentThread: String\n    commentThreadisEmpty: Boolean\n    commentIsEmpty: Boolean\n\n    ## CommentEditor\n    commentEditorFocused: Boolean\n\n    ## welcomeOverlay\n    interfaceOverviewVisible: Boolean\n\n    ##peekViewWidget\n    inReferenceSearchEditor: Boolean\n\n    ## referencesController\n    referenceSearchVisible: Boolean\n\n    ## listService\n    listFocus: Boolean\n    listSupportsMultiSelect: Boolean\n    listHasSelectionOrFocus: Boolean\n    listDoubleSelection: Boolean\n    listMultiSelection: Boolean\n    listSupportsKeyboardNavigation: Boolean\n    WorkbenchListAutomaticKeyboardNavigationKey: Boolean\n\n    ## accessiblityHelp\n    accessibilityHelpWidgetVisible: Boolean\n\n    ## quickopen\n    inQuickOpenKey: Boolean\n\n    ## codeActionModel\n    supportedCodeAction: String\n\n    # ## rename input field\n    # renameInputVisible: Boolean\n\n    ## goToDefinitionResultsNavigation\n    hasSymbols: Boolean\n\n    ## tabCompletion\n    hasSnippetCompletions: Boolean\n\n    ## Message\n    messageVisible: Boolean\n\n    ## CallHierarchy\n    editorHasCallHierarchyProvider: Boolean\n    callHierarchyVisible:Boolean\n\n    # ## Notification\n    # notificationCenterVisible: Boolean\n    # notificationToastsVisible: Boolean\n    # notificationFocus: Boolean\n\n    ## Search\n    searchViewletVisible: Boolean\n    searchViewletFocus: Boolean\n    inputBoxFocus: Boolean\n    searchInputBoxFocus: Boolean\n    replaceInputBoxFocus: Boolean\n    patternIncludesInputBoxFocus: Boolean\n    patternExcludesInputBoxFocus: Boolean\n    replaceActive: Boolean\n    hasSearchResult: Boolean\n    firstMatchFocus: Boolean\n    fileMatchOrMatchFocus: Boolean\n    fileMatchOrFolderMatchFocus: Boolean\n    fileMatchFocus: Boolean\n    folderMatchFocus: Boolean\n    matchFocus: Boolean\n\n    ## windowPicker\n    inRecentFilesPicker: Boolean\n    inWindowsPicker: Boolean\n\n    ## findModel\n    findWidgetVisible: Boolean\n    findInputFocussed: Boolean\n    replaceInputFocussed: Boolean\n\n    ## Editor\n    \"\"\"\n     A context key that is set when the editor's text has focus (cursor is blinking).\n    \"\"\"\n    editorTextFocus: Boolean\n    \"\"\"\n     A context key that is set when the editor's text or an editor's widget has focus.\n    \"\"\"\n    editorFocus: Boolean\n    \"\"\"\n     A context key that is set when any editor input has focus (regular editor, repl input...).\n    \"\"\"\n    textInputFocus: Boolean\n    editorReadonly: Boolean\n    editorHasSelection: Boolean\n    editorHasMultipleSelections: Boolean\n    editorTabMoveFocus: Boolean\n    isInEmbeddedEditor: Boolean\n    canUndo: Boolean\n    canRedo: Boolean\n    editorLangId: String\n    editorHasCompletionItemProvider: Boolean\n    editorHasCodeActionsProvider: Boolean\n    editorHasDefinitionProvider: Boolean\n    editorHasDeclarationProvider: Boolean\n    editorHasImplementationProvider: Boolean\n    editorHasTypeDefinitionProvider: Boolean\n    editorHasHoverProvider: Boolean\n    editorHadDocumentHighlightProvider: Boolean\n    editorHasDocumentSymbolProvider: Boolean\n    editorHasReferenceProvider: Boolean\n    editorHasRenameProvider: Boolean\n    editorHasSignatureHelpProvider: Boolean\n    editorHasDocumentFormattingProvider: Boolean\n    editorHasDocumentSelectionFormattingProvider: Boolean\n    editorHasMultipleDocumentSelectionFormattingProvider: Boolean\n    \n    ## Editor Groups\n    activeEditor: String\n    editorIsOpen: Boolean\n    editorPinned: Boolean\n    groupActiveEditorDirty: Boolean\n    groupEditorsCount: Int\n    textCompareEditorVisible: Boolean\n    textCompareEditorActive: Boolean\n    activeEditorGroupEmpty: Boolean\n    multipleEditorGroups: Boolean\n    inZenMode: Boolean\n    inCenteredLayout: Boolean\n    splitEditorsVertically: Boolean\n\n    ## Viewlet\n    sideBarVisible: Boolean\n    sideBarFocus: Boolean\n    activeViewlet: String\n\n    ## Panel\n    activePanel: String\n    panelFocus: Boolean\n    panelPosition: String\n\n    ## Debug\n    debugType: String\n    debugConfigurationType: String\n    debugState: String\n    inDebugMode: Boolean\n    inDebugRepl: Boolean\n    breakpointWidgetVisible: Boolean\n    watchExpressionsFocused: Boolean\n    variablesFocused: Boolean\n    expressionSelected: Boolean\n    breakpointSelected: Boolean\n    callStackItemType: Boolean\n    loadedScriptsSupported: Boolean\n    loadedScriptsItemType: Boolean\n    focusedSessionIsAttach: Boolean\n    stepBackSupported: Boolean\n    restartFrameSupported: Boolean\n\n    inSettingsEditor: Boolean\n    inSettingsJSONEditor: Boolean\n    inSettingsSearch: Boolean\n    settingsTocRowFocus: Boolean\n    inKeybindings: Boolean\n    inKeybindingsSearch: Boolean\n    keybindingFocus: Boolean\n\n    ## Context keys to use with keybindings for the Explorer and Open Editors view\n    explorerViewletVisible: Boolean\n    explorerResourceIsFolder: Boolean\n    explorerResourceReadonly: Boolean\n    explorerResourceIsRoot: Boolean\n    explorerResourceCut: Boolean\n    explorerResourceMoveableToTrash: Boolean\n    filesExplorerFocus: Boolean\n    openEditorsVisible: Boolean\n    openEditorsFocus: Boolean\n    explorerViewletFocus: Boolean\n\n    ## xterm\n    \"\"\"\n     A context key that is set when there is at least one opened integrated terminal.\n    \"\"\"\n    terminalIsOpen: Boolean\n    \"\"\"\n     A context key that is set when the integrated terminal has focus.\n    \"\"\"\n    terminalFocus: Boolean\n    \"\"\"\n     A keybinding context key that is set when the integrated terminal has text selected.\n    \"\"\"\n    terminalTextSelected: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is visible.\n    \"\"\"\n    terminalFindWidgetVisible: Boolean\n    \"\"\"\n     A context key that is set when the find widget find input in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetInputFocused: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetFocused: Boolean\n\n    ## Webview\n    \"\"\"\n     Set when the find widget in a webview is visible\n    \"\"\"\n    webviewFindWidgetVisible: Boolean\n\n    ## Tasks\n    taskRunning: Boolean\n\n    ## referncesWidget\n    referenceSearchTreeFocused: Boolean\n\n    ## WarlkThroughPart\n    interactivePlaygroundFocus: Boolean\n\n    ## Document Symbols\n    outlineFiltered: Boolean\n    outlineFocused: Boolean\n\n    ## Markers\n    problemsViewFocus: Boolean\n    problemFocus: Boolean\n    problemsFilterFocus: Boolean\n    relatedInformationFocus: Boolean\n\n    ## Output\n    inOutput: Boolean\n    activeLogOutput: Boolean\n\n    ## ToggleMultiCursorModifier\n    multiCursorModifier: String\n\n    ## saveErrorHandler\n    saveConflictResolutionContext: Boolean\n\n    ## gotoError\n    markersNavigationVisible: Boolean\n\n    ## wordHighlighter\n    hasWordHighlights: Boolean\n\n    ## Extension\n    profileSessionState: String\n    extensionHostProfileRecorded: Boolean\n\n    ## ContextScopedHistoryWidget\n    historyNavigationEnabled: Boolean\n    historyNavigationWidget: Boolean\n\n    ## Extension Viewlet\n    nonEmptyWorkspace: Boolean\n    defaultExtensionViews: Boolean\n    searchMarketplaceExtensions: Boolean\n    searchInstalledExtensions: Boolean\n    searchOutdatedExtensions: Boolean\n    searchEnabledExtensions: Boolean\n    searchDisabledExtensions: Boolean\n    hasInstalledExtensions: Boolean\n    searchBuiltInExtensions: Boolean\n    recommendedExtensions: Boolean\n    defaultRecommendedExtensions: Boolean\n\n    ## ExtensionsActions\n    workspaceRecommendations: Boolean\n    workspaceFolderRecommendations: Boolean\n    addToWorkspaceRecommendations: Boolean\n    addToWorkspaceFolderRecommendations: Boolean\n\n}\n\n\nenum scmProviders {\n    git\n}\n\nenum scmResourceGroups {\n    workingTree\n    merge\n    index\n}\n\nenum commentThread {\n    editable\n}\n\nenum ProvidedRemoteConnectionStates {\n    initializing\n    disconnected\n    connected\n}\n\n\nextend type Query {\n    getContextProperty(keys: [String]): Context\n    getContextData: Context\n    selectedResource: Context\n}\n\nextend type Mutation {\n    updateContext(key: String, value: AnyObject): Boolean\n    updateSelectedResource(resource: URI!): Boolean\n\n}\n");

/***/ }),

/***/ "./src/graphql/schemas/editor-input-schema.graphql":
/*!*********************************************************!*\
  !*** ./src/graphql/schemas/editor-input-schema.graphql ***!
  \*********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\n\n\ninterface IEditorInput {\n    \"\"\"\n     Returns the associated resource of this input.\n    \"\"\"\n    resource: String\n    \"\"\"\n     Unique type identifier for this input.\n    \"\"\"\n    typeId: String\n    \"\"\"\n     Returns the display title of this input.\n    \"\"\"\n    label: String\n    \"\"\"\n     Returns the display description of this input that can be shown to the user. Examples include showing the desciption of\n     the input about the editor area to the side of the name of the input.\n    \"\"\"\n    description: String\n    \"\"\"\n     File referenced in the Editor Input to provide\n     `isDirty`, `name`\n    \"\"\"\n    fileReference: FileStatWithMetadata\n    \"\"\"\n     Returns the preferred editor for this input. A list of candidate editors is passed in that we registered\n     for the input. This allows subclasses to decide later which editor to use for the input on a case by case basis.\n    \"\"\"\n    preferredEditorId: String\n    \"\"\"\n     Set this to false if it does not make sense to split the editor input.\n    \"\"\"\n    isSupportsSplitEditor: Boolean\n    \"\"\"\n     Editor type based on the input\n     Needed to determine the editor type in group service.\n    \"\"\"\n    type: EditorType\n}\n\ntype UntitledEditorInput implements IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n\n    hasAssociatedFilePath: Boolean\n    shortDescription: String\n    mediumDescription: String\n    longDescription: String\n    shortTitle: String\n    mediumTitle: String\n    longTitle: String\n    suggestFileName: String\n    enconding: String\n    mode: String\n}\n\ntype ResourceEditorInput implements IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n\n    mode: String\n    preferredMode: String\n    \n}\n\nunion EditorInput = UntitledEditorInput | ResourceEditorInput | SideBySideEditorInput | FileEditorInput | DiffEditorInput\n\ntype SideBySideEditorInput implements IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n\n    master: EditorInput\n    details: EditorInput\n}\n\n\ntype DiffEditorInput implements IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n\n    master: EditorInput\n    details: EditorInput\n}\n\n\"\"\"\n This is a tagging interface to declare an editor input being capable of dealing with files. It is only used in the editor registry\n to register this kind of input to the platform.\n\"\"\"\ninterface IFileEditorInput {\n    \"\"\"\n     Preferred encoding to use for this input.\n    \"\"\"\n    preferredEncoding: String\n    \"\"\"\n     Preferred mode to use for this input.\n    \"\"\"\n    preferredMode: String\n    \"\"\"\n     Forces the file input to open as binary instead of text.\n    \"\"\"\n    forceOpenAsBinary: Boolean\n}\n\ntype FileEditorInput implements IFileEditorInput & IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n\n    preferredEncoding: String\n    preferredMode: String\n    forceOpenAsBinary: Boolean\n\n    econding: String\n}\n\n\n\n\n\n\n\n\n\n\ninput BaseResourceInput {\n\n    \"\"\"\n     Optional options to use when opening the text input.\n    \"\"\"\n    options: TextEditorOptions_Input\n    \"\"\"\n     Label to show for the diff editor\n    \"\"\"\n    label: String\n    \"\"\"\n     Description to show for the diff editor\n    \"\"\"\n    description: String\n    \"\"\"\n     Hint to indicate that this input should be treated as a file\n     that opens in an editor capable of showing file content.\n\n     Without this hint, the editor service will make a guess by\n     looking at the scheme of the resource(s).\n    \"\"\"\n    forceFile: Boolean\n}\n\n\"\"\"\n It is extension of BaseResourceInput\n\"\"\"\ninput Resource_Input {\n    options: TextEditorOptions_Input\n    label: String\n    description: String\n    forceFile: Boolean\n    \"\"\"\n     The resource URL of the resource to open.\n    \"\"\"\n    resource: URI!\n    \"\"\"\n     The encoding of the text input if known.\n    \"\"\"\n    encoding: String\n    \"\"\"\n     The identifier of the language mode of the text input\n     if known to use when displaying the contents.\n    \"\"\"\n    mode: String\n}\n\n\"\"\"\n Extension of BaseResource_Input\n\"\"\"\ninput UntitledResource_Input {\n    options: TextEditorOptions_Input\n    label: String\n    description: String\n    forceFile: Boolean\n\t\"\"\"\n\t Optional resource. If the resource is not provided a new untitled file is created.\n\t\"\"\"\n    resource: URI\n\t\"\"\"\n\t Optional file path. Using the file resource will associate the file to the untitled resource.\n\t\"\"\"\n    filePath: String\n\t\"\"\"\n\t Optional language of the untitled resource.\n\t\"\"\"\n    language: String\n\t\"\"\"\n\t Optional contents of the untitled resource.\n\t\"\"\"\n    contents: String\n\t\"\"\"\n\t Optional encoding of the untitled resource.\n\t\"\"\"\n    encoding: String\n}\n\n\"\"\"\n Extends BaseResource_Input\n\"\"\"\ninput ResourceDiff_Input {\n    options: TextEditorOptions_Input\n    label: String\n    description: String\n    forceFile: Boolean\n\t\"\"\"\n\t The left hand side URI to open inside a diff editor.\n\t\"\"\"\n    leftResource: URI!\n\t\"\"\"\n\t The right hand side URI to open inside a diff editor.\n\t\"\"\"\n    rightResource: URI!\n}\n\n\"\"\"\n Extends BaseResource_Input\n\"\"\"\ninput ResourceSideBySide_Input {\n    options: TextEditorOptions_Input\n    label: String\n    description: String\n    forceFile: Boolean\n\t\"\"\"\n\t The right hand side URI to open inside a side by side editor.\n\t\"\"\"\n    masterResource: URI!\n\n\t\"\"\"\n\t The left hand side URI to open inside a side by side editor.\n\t\"\"\"\n    detailResource: URI!\n}");

/***/ }),

/***/ "./src/graphql/schemas/editor-layout-schema.graphql":
/*!**********************************************************!*\
  !*** ./src/graphql/schemas/editor-layout-schema.graphql ***!
  \**********************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\n\"\"\"\n Additional details to EditorInput to help to resolve fields that\n helps IEditorGroup\n\"\"\"\ninterface IEditorInputWithGroupFields {\n    \"\"\"\n     File is currently active.\n     Note: An editor can be opened but not actively visible.\n    \"\"\"\n    isActive: Boolean\n    \"\"\"\n     The editor is pinned in the group. A pinned editor is not replaced\n     when another editor opens at the same location. \n    \"\"\"\n    isPinned: Boolean\n    \"\"\"\n     The editor in the group that is in preview mode if any. There can\n     only ever be one editor in preview mode.\n    \"\"\"\n    preview: Boolean\n\n\n    \"\"\"\n     custom id to map to the EditorGroup it belongs\n    \"\"\"\n    editorId: Int\n    \"\"\"\n     File loading status\n     @deprecated - We can use IFileStat to have it.\n    \"\"\"\n    status: String\n    \"\"\"\n     @docklayout\n     Whether this tab is closable\n    \"\"\"\n    closable: Boolean\n}\n\n\"\"\"\n Editor inputs are lightweight objects that can be passed to the workbench API to open inside the editor part.\n Each editor input is mapped to an editor that is capable of opening it through the Platform facade.\n\"\"\"\ntype EditorInput_old implements IEditorInput & IEditorInputWithGroupFields {\n    id: String\n    resource: String\n    type: EditorType\n    typeId: String\n    description: String\n    label: String\n    fileReference: FileStatWithMetadata\n    preferredEditorId: String\n    isSupportsSplitEditor: Boolean\n\n    isActive: Boolean\n    preview: Boolean\n    isPinned: Boolean\n    editorId: Int\n    status: String\n    closable: Boolean\n}\n\nenum EditorType {\n    TextResourceEditor\n    UntitledEditor\n    DiffEditor\n    SideBySideEditor\n}\n\nenum SideBySideEditor {\n    \"\"\"\n     Usually Right Side of the side-by-side editor\n    \"\"\"\n    MASTER\n    \"\"\"\n     Usually Left Side of the side-by-side editor\n    \"\"\"\n    DETAILS\n}\n\ninput EditorPartConfiguration_Input {\n    \"\"\"\n     @description Controls whether opened editor should show in tabs or not.\n     @default true\n    \"\"\"\n    showTabs: Boolean\n    \"\"\"\n     @description Controls whether a top border is drawn on modified (dirty) editor tabs or not.\n     @default false\n    \"\"\"\n    highlightModifiedTabs: Boolean\n    \"\"\"\n     @description Controls the position of the editor's tabs close buttons, or disables them when set to 'off'.\n     @default 'right'\n    \"\"\"\n    tabCloseButton: TabCloseButtonType\n    \"\"\"\n     @description Controls the sizing of editor tabs.\n     @default 'fit'\n    \"\"\"\n    tabSizing: TabSizingType\n    \"\"\"\n     @description Controls whether tabs are closed in most recently used order or from left to right.\n     @default true\n    \"\"\"\n    focusRecentEditorAfterClose: Boolean\n    \"\"\"\n     @description Controls whether opened editors should show with an icon or not. This requires an icon theme to be enabled as well.\n     @default true\n    \"\"\"\n    showIcons: Boolean\n    \"\"\"\n     @description Controls whether opened editors show as preview. Preview editors are reused until they are pinned\n     (e.g. via double click or editing) and show up with an italic font style.\n     @default true\n    \"\"\"\n    enablePreview: Boolean\n    \"\"\"\n     @description Controls whether opened editors from Quick Open show as preview. Preview editors are reused until they are pinned\n     (e.g. via double click or editing)\n     @default true\n    \"\"\"\n    enablePreviewFromQuickOpen: Boolean\n    \"\"\"\n     @description Controls whether editors showing a file that was opened during the session should close automatically when getting\n     deleted or renamed by some other process. Disabling this will keep the editor open on such an event. Note that deleting from within\n     the application will always close the editor and that dirty files will never close to preserve your data.\n     @default false\n    \"\"\"\n    closeOnFileDelete: Boolean\n    \"\"\"\n     @description Controls where editors open. Select `left` or `right` to open editors to the left or right of the currently active one.\n     Select `first` or `last` to open editors independently from the currently active one.\n     @default 'right'\n    \"\"\"\n    openPositioning: OpenPositioningType\n    \"\"\"\n     @description Controls the default direction of editors that are opened side by side (e.g. from the explorer). By default,\n     editors will open on the right hand side of the currently active one. If changed to `down`, the editors will open belwo\n     the currently active one.\n     @default 'right'\n     \"\"\"\n    openSideBySideDirection: OpenSideBySideDirection\n    \"\"\"\n     @description Controls the behavior of empty editor groups when the last tab in the group is closed. When enabeld, empty groups\n     will automatically close. When disabled, empty groups will remain part of the grid.\n     @default true\n     \"\"\"\n    closeEmptyGroup: Boolean\n    \"\"\"\n     @description Controls whether an editor is revealed in any of the visible groups if opened. If disabled, an editor will prefer to\n     open in the currently active editor group. If enabled, an already opened editor will be revealed instead of opened again in the\n     currently active editor group. Note that there are some cases where this setting is ignored, e.g. when forcing an editor to open in a\n     specific group or to the side of the currently active group.\n     @default false\n     \"\"\"\n    revealIfOpen: Boolean\n    \"\"\"\n     @description: Navigate between open files using three-finger swipe horizontally.\n     @default: false\n     \"\"\"\n    swipeToNavigate: Boolean\n    \"\"\"\n     @description Controls the format of the label for an editor\n     @default: true\n     \"\"\"\n    labelFormat: LableFormatType\n    \"\"\"\n     @description Restores the last view state (e.g. scroll position) when re-opening files after they have been closed.\n     @default: true\n     \"\"\"\n    restoreViewState: Boolean\n}\n\n\"\"\"\n Extends EditorPartConfiguration\n\"\"\"\ntype EditorPartOptions_Input {\n    showTabs: Boolean\n    highlightModifiedTabs: Boolean\n    tabCloseButton: TabCloseButtonType\n    tabSizing: TabSizingType\n    focusRecentEditorAfterClose: Boolean\n    showIcons: Boolean\n    enablePreview: Boolean\n    enablePreviewFromQuickOpen: Boolean\n    closeOnFileDelete: Boolean\n    openPositioning: OpenPositioningType\n    openSideBySideDirection: OpenSideBySideDirection\n    closeEmptyGroup: Boolean\n    revealIfOpen: Boolean\n    swipeToNavigate: Boolean\n    labelFormat: LableFormatType\n    restoreViewState: Boolean\n\n    iconTheme: String\n}\nenum TabCloseButtonType {\n    left\n    right\n    off\n}\n\nenum TabSizingType {\n    fit\n    shrink\n}\nenum LableFormatType {\n    default\n    short\n    medium\n    long\n}\n\nenum OpenSideBySideDirection {\n    right\n    down\n}\n\nenum OpenPositioningType {\n    left\n    right\n    first\n    last\n}\n\n##### EditorGroups #############\n\nenum GroupDirection {\n    UP\n    DOWN\n    LEFT\n    RIGHT\n}\n\nenum GroupsArrangement {\n\n\t\"\"\"\n\t Make the current active group consume the maximum\n\t amount of space possible.\n\t\"\"\"\n    MINIMIZE_OTHERS,\n\n\t\"\"\"\n\t Size all groups evenly.\n\t\"\"\"\n    EVEN\n}\n\nenum GroupsOrder {\n\n\t\"\"\"\n\t Groups sorted by creation order (oldest one first)\n\t\"\"\"\n    CREATION_TIME,\n\n\t\"\"\"\n\t Groups sorted by most recent activity (most recent active first)\n\t\"\"\"\n    MOST_RECENTLY_ACTIVE,\n\n\t\"\"\"\n\t Groups sorted by grid widget order\n\t\"\"\"\n    GRID_APPEARANCE\n}\n\nenum EditorsOrder {\n\n\t\"\"\"\n\t Editors sorted by most recent activity (most recent active first)\n\t\"\"\"\n    MOST_RECENTLY_ACTIVE,\n\n\t\"\"\"\n\t Editors sorted by sequential order\n\t\"\"\"\n    SEQUENTIAL\n}\n\nenum GroupOrientation {\n    HORIZONTAL\n    VERTICAL\n}\n\nenum GroupLocation {\n    FIRST\n    LAST\n    NEXT\n    PREVIOUS\n}\n\ntype GroupLayoutArgument {\n    size: Int\n    groups: [GroupLayoutArgument]\n}\n\ntype EditorGroupLayout  {\n    orientation: GroupOrientation\n    groups: [GroupLayoutArgument]\n}\n\ninput CloseEditorOptions_Input {\n    preserveFocus: Boolean\n}\ninput MoveEditorOptions_Input {\n    index: Int\n    inactive: Boolean\n    preserveFocus: Boolean\n}\n\ninput CopyEditorOptions_Input {\n    index: Int\n    inactive: Boolean\n    preserveFocus: Boolean\n}\n\ninput AddGroupOptions_Input {\n    activate: Boolean\n}\n\nenum MergeGroupMode {\n    COPY_EDITORS\n    MOVE_EDITORS\n}\n\ninput MergeGroupOptions_Input {\n    mode: MergeGroupMode\n    index: Int\n}\n\nenum CloseDirection {\n    LEFT\n    RIGHT\n}\n\ntype ICloseEditorsFilter {\n    except: EditorInput\n    direction: CloseDirection\n    savedOnly: Boolean\n}\n\n\ntype DockLayout {\n    id: Int\n    size: Int\n    activeId: String\n    mode: GroupOrientation\n    children: [DockLayout]\n    tabs: [EditorInput]\n}\n\n##### EditorGroupView ###########\n\n\"\"\"\n Extension of CloseEditorOptions_Input\n\"\"\"\ninput CloseOptions_Input {\n    preserveFocus: Boolean\n    closeEmptyGroups: Boolean\n}\n\nunion EditorChildren = EditorPart | EditorGroup\n\"\"\"\n Editor part is an extension with EditorGroup with Tabs\n\"\"\"\ntype EditorPart {\n    \"\"\"\n     A unique identifier of this group that remains identical even if the\n     group is moved to different locations.\n    \"\"\"\n    id: Int!\n    mode: GroupOrientation\n    \"\"\"\n     @deprecated use `size`\n    \"\"\"\n    height: Int\n    \"\"\"\n     Size of the editor group.\n     Width when in `orientation.HORIZONTAL` and height when in `orientation.VERTICAL`\n    \"\"\"\n    size: Int\n\n    children: [EditorChildren]\n}\n\nenum EditorActionType {\n    init \n    add\n    remove\n    removeAll\n    activateEditor\n}\n\n\"\"\"\n EditorGroup that has fields borrowed from vscode.\n\"\"\"\ninterface IEditorGroup {\n    \"\"\"\n     A unique identifier of this group that remains identical even if the\n     group is moved to different locations.\n    \"\"\"\n    id: Int!\n    \"\"\"\n     A human readable lable for the group. This label can change depending\n     on the layout of all editor groups. Clients should listen to this event\n     to react to that.\n    \"\"\"\n    label: String\n}\n\ntype EditorGroup implements IEditorGroup {\n    id: Int!\n    label: String\n    \"\"\"\n     Whether it is an active group.\n    \"\"\"\n    isActive: Boolean\n    \"\"\"\n     Size of the editor group.\n     Width when in `orientation.HORIZONTAL` and height when in `orientation.VERTICAL`\n    \"\"\"\n    size: Int\n    \"\"\"\n     the id of current tab\n    \"\"\"\n    activeId: String\n    \"\"\"\n     All the Editors that are opened undered this group.\n    \"\"\"\n    tabs: [EditorInput]\n\n}\n\n\n####### EditorGroup #########\n\n\nenum EditorOpenPositioning {\n    LEFT\n    RIGHT\n    FIRST\n    LAST\n}\n\ntype EditorIdentifier {\n    groupId: Int\n    editor: EditorInput\n}\n\ninput EditorOpenOptions_Input {\n    editorOpenPositioning: EditorOpenPositioning\n    focusRecentEditorAfterClose: Boolean\n    pinned: Boolean\n    active: Boolean\n    index: Int\n}\n\ntype EditorSettings {\n    editorOpenPositioning: EditorOpenPositioning\n    focusRecentEditorAfterClose: Boolean\n}\n\ninput EditorInput_Input {\n    resource: String!\n    name: String\n    label: String\n    type: EditorType\n}\n\ninput OpenEditor_Input {\n    resource: String!\n    name: String!\n    editorId: Int\n    isPinned: Boolean\n    size: Int\n    deleted: Boolean\n}\n\ninput SelectEditor_Input {\n    resource: String!\n    editorId: Int\n    name: String\n}\n\ninput RemoveEditor_Input {\n    editorId: Int\n    resource: String\n    name: String\n}\n\ninput CloseEditor_Input {\n    resource: String!\n    editorId: Int\n    name: String\n}\n\ninput MoveEditor_Input {\n    resource: String!\n    editorId: Int\n    name: String\n}\n\ninput KeepOpen_Input {\n    resource: String!\n    editorId: Int\n    name: String\n}\n\ninput OpenDiff_Input {\n    resource: String\n    editorId: Int\n    name: String\n}\n\ninput EditorLayout_Input {\n    \"\"\"\n     A unique identifier of this group that remains identical even if the\n     group is moved to different locations.\n    \"\"\"\n    id: Int!\n    mode: GroupOrientation\n    \"\"\"\n     Size of the editor group.\n     Width when in `orientation.HORIZONTAL` and height when in `orientation.VERTICAL`\n    \"\"\"\n    size: Int\n\n    children: [EditorChildren_Input]\n}\n\ninput EditorChildren_Input {\n    \"\"\"\n     A unique identifier of this group that remains identical even if the\n     group is moved to different locations.\n    \"\"\"\n    id: Int!\n    mode: GroupOrientation\n    children: [EditorChildren_Input]\n    \"\"\"\n     Size of the editor group.\n     Width when in `orientation.HORIZONTAL` and height when in `orientation.VERTICAL`\n    \"\"\"\n    size: Int\n    \"\"\"\n     the id of current tab\n    \"\"\"\n    activeId: String\n\n    tabs: [EditorInput_Input]\n}\n\ninput EditorInput_Input {\n    id: String!\n}\n\nextend type Query {\n    editorPart: EditorPart\n}\nextend type Mutation {\n    \"\"\"\n     @deprecated use openEditor\n    \"\"\"\n    openFile(content: OpenEditor_Input!, options: EditorOpenOptions_Input): Boolean\n    \"\"\"\n     Open an editor or file in an EditorGroup.\n     If no EditorGroup exist, it creates one.\n    \"\"\"\n    openEditor(content: OpenEditor_Input!, options: EditorOpenOptions_Input): Boolean\n    \"\"\"\n     Open an editor in an editor group.\n\n     @param editor the editor to open\n     @param group the target group. If unspecified, the editor will open in the currently\n     active group. Use `SIDE_GROUP_TYPE` to open the editor in a new editor group to the side\n     of the currently active group.\n    \"\"\"\n    openEditorWithResourceSideBySideInput(editor: ResourceSideBySide_Input!, group: Int): Boolean\n    \"\"\"\n     Open an editor in an editor group.\n\n     @param editor the editor to open\n     @param group the target group. If unspecified, the editor will open in the currently\n     active group. Use `SIDE_GROUP_TYPE` to open the editor in a new editor group to the side\n     of the currently active group.\n    \"\"\"\n    openEditorWithResourceInput(editor: Resource_Input!, group: Int): Boolean\n    \"\"\"\n     Open an editor in an editor group.\n\n     @param editor the editor to open\n     @param group the target group. If unspecified, the editor will open in the currently\n     active group. Use `SIDE_GROUP_TYPE` to open the editor in a new editor group to the side\n     of the currently active group.\n    \"\"\"\n    openEditorWithUntitledResourceInput(editor: UntitledResource_Input!, group: Int): Boolean\n    \"\"\"\n     Open an editor in an editor group.\n\n     @param editor the editor to open\n     @param group the target group. If unspecified, the editor will open in the currently\n     active group. Use `SIDE_GROUP_TYPE` to open the editor in a new editor group to the side\n     of the currently active group.\n    \"\"\"\n    openEditorWithResourceDiffInput(editor: ResourceDiff_Input!, group: Int): Boolean\n\n    selectEdit(content: SelectEditor_Input): Boolean\n    removeEdit(content: RemoveEditor_Input): Boolean\n    closeEditor(content: CloseEditor_Input): Boolean\n    closeEditors(editors: [CloseEditor_Input], editorGroupId: Int, options: CloseEditorOptions_Input): Boolean\n    changeEdit(changed: Boolean, resource: String): Boolean\n    activateEditor(editorId: Int): Boolean\n    saveAllEditor(allSave: Boolean): Boolean\n    closeAllEditors: Boolean\n    keepOpen(content: KeepOpen_Input): Boolean\n    moveEditorInsideGroup(content: MoveEditor_Input, moveOptions: MoveEditorOptions_Input): Boolean\n    updateLayout(changedLayout: EditorLayout_Input): Boolean,\n    makePinEditor(tabId: String, editorId: Int): Boolean,\n}\n");

/***/ }),

/***/ "./src/graphql/schemas/editor-schema.graphql":
/*!***************************************************!*\
  !*** ./src/graphql/schemas/editor-schema.graphql ***!
  \***************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\n\ninput EditorOptions_Input {\n\t\"\"\"\n\t Tells the editor to not receive keyboard focus when the editor is being opened. By default,\n\t the editor will receive keyboard focus on open.\n\t\"\"\"   \n    preserveFocus: Boolean\n\t\"\"\"\n\t Tells the editor to reload the editor input in the editor even if it is identical to the one\n\t already showing. By default, the editor will not reload the input if it is identical to the\n\t one showing.\n\t\"\"\"\n    forceReload: Boolean\n\t\"\"\"\n\t Will reveal the editor if it is already opened and visible in any of the opened editor groups. Note\n\t that this option is just a hint that might be ignored if the user wants to open an editor explicitly\n\t to the side of another one or into a specific editor group.\n\t\"\"\"\n    revealIfVisible: Boolean\n\t\"\"\"\n\t Will reveal the editor if it is already opened (even when not visible) in any of the opened editor groups. Note\n\t that this option is just a hint that might be ignored if the user wants to open an editor explicitly\n\t to the side of another one or into a specific editor group.\n\t\"\"\"\n    revealIfOpened: Boolean\n\t\"\"\"\n\t An editor that is pinned remains in the editor stack even when another editor is being opened.\n\t An editor that is not pinned will always get replaced by another editor that is not pinned.\n\t\"\"\"\n    pinned: Boolean\n\t\"\"\"\n\t The index in the document stack where to insert the editor into when opening.\n\t\"\"\"\n    index: Int\n\t\"\"\"\n\t An active editor that is opened will show its contents directly. Set to true to open an editor\n\t in the background.\n\t\"\"\"\n    inactive: Boolean\n\t\"\"\"\n\t Will not show an error in case opening the editor fails and thus allows to show a custom error\n\t message as needed. By default, an error will be presented as notification if opening was not possible.\n\t\"\"\"\n    ignoreError: Boolean\n}\n\n\ninput  TextEditorSelection_Input {\n    startLineNumber: Int\n    startColumn: Int\n    endLineNumber: Int\n    endColumn: Int\n}\n\n\ninput TextEditorOptions_Input {\n\n    \"\"\"\n     Text editor selection.\n    \"\"\"\n    selection: TextEditorSelection_Input\n    \"\"\"\n     Text editor view state.\n    \"\"\"\n    viewState: AnyObject\n    \"\"\"\n     Option to scroll vertically or horizontally as necessary and reveal a range centered vertically only if it lies outside the viewport.\n    \"\"\"\n    revealInCenterIfOutsideViewPort: Boolean\n}\n\n");

/***/ }),

/***/ "./src/graphql/schemas/index.ts":
/*!**************************************!*\
  !*** ./src/graphql/schemas/index.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const context_graphql_1 = __importDefault(__webpack_require__(/*! ./context.graphql */ "./src/graphql/schemas/context.graphql"));
exports.contextSchema = context_graphql_1.default;
const editor_input_schema_graphql_1 = __importDefault(__webpack_require__(/*! ./editor-input-schema.graphql */ "./src/graphql/schemas/editor-input-schema.graphql"));
exports.editorInputSchema = editor_input_schema_graphql_1.default;
const editor_layout_schema_graphql_1 = __importDefault(__webpack_require__(/*! ./editor-layout-schema.graphql */ "./src/graphql/schemas/editor-layout-schema.graphql"));
exports.editorLayoutSchema = editor_layout_schema_graphql_1.default;
const editor_schema_graphql_1 = __importDefault(__webpack_require__(/*! ./editor-schema.graphql */ "./src/graphql/schemas/editor-schema.graphql"));
exports.editorSchema = editor_schema_graphql_1.default;
const schema = context_graphql_1.default.concat(editor_input_schema_graphql_1.default, editor_layout_schema_graphql_1.default, editor_schema_graphql_1.default);
exports.schema = schema;


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __importDefault(__webpack_require__(/*! ./module */ "./src/module.ts"));
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
__webpack_require__(/*! ./registry */ "./src/registry.ts");
__export(__webpack_require__(/*! ./services */ "./src/services/index.ts"));
__export(__webpack_require__(/*! ./constants */ "./src/constants/index.ts"));
__export(__webpack_require__(/*! ./components */ "./src/components/index.ts"));
exports.default = new client_react_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const layout_1 = __importDefault(__webpack_require__(/*! @workbench-stack/layout */ "@workbench-stack/layout"));
const modal_1 = __importDefault(__webpack_require__(/*! @workbench-stack/modal */ "@workbench-stack/modal"));
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const settings_1 = __importDefault(__webpack_require__(/*! @workbench-stack/settings */ "@workbench-stack/settings"));
const output_browser_1 = __importDefault(__webpack_require__(/*! @workbench-stack/output-browser */ "@workbench-stack/output-browser"));
const graphql_1 = __webpack_require__(/*! ./graphql */ "./src/graphql/index.ts");
const containers_1 = __webpack_require__(/*! ./containers */ "./src/containers/index.ts");
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
const workbenchServiceGen = (container) => {
    return {
        editorService: container.get(core_1.ClientTypes.IEditorService),
        modelService: container.get(core_1.ClientTypes.IModelService),
        modeService: container.get(core_1.ClientTypes.IModeService),
        contextKeyService: container.get(core_1.ClientTypes.IContextKeyService),
        resourceContextKey: container.get(core_1.ClientTypes.IResourceContextKey),
    };
};
exports.default = new client_react_1.Feature(client_react_1.FeatureWithRouterFactory, layout_1.default, components_1.ThemeModule, modal_1.default, settings_1.default, output_browser_1.default, new client_react_1.Feature({
    clientStateParams: [{ resolvers: graphql_1.resolvers, typeDefs: [graphql_1.editorSchema, graphql_1.editorInputSchema, graphql_1.editorLayoutSchema, graphql_1.contextSchema], defaults: graphql_1.defaults, fragmentMatcher: graphql_1.fragmentMatcher }],
    createContainerFunc: containers_1.workbenchModule,
    createServiceFunc: workbenchServiceGen,
}));


/***/ }),

/***/ "./src/registry.ts":
/*!*************************!*\
  !*** ./src/registry.ts ***!
  \*************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(/*! ./core/editor-registry */ "./src/core/editor-registry.ts");


/***/ }),

/***/ "./src/services/context/context-key-service.ts":
/*!*****************************************************!*\
  !*** ./src/services/context/context-key-service.ts ***!
  \*****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const graphql_tag_1 = __importDefault(__webpack_require__(/*! graphql-tag */ "graphql-tag"));
class ContextKey {
    constructor(service, key, defaultValue) {
        this._service = service;
        this._key = key;
        this._defaultValue = defaultValue;
        this.reset();
    }
    set(value) {
        this._service.setContext(this._key, value);
    }
    reset() {
        if (typeof this._defaultValue === 'undefined') {
            this._service.removeContext(this._key);
        }
        else {
            this._service.setContext(this._key, this._defaultValue);
        }
    }
    get() {
        return this._service.getContextKeyValue(this._key);
    }
}
let ContextKeyService = class ContextKeyService {
    constructor(cache, utility) {
        this.cache = cache;
        this.utility = utility;
    }
    createKey(key, defaultValue) {
        return new ContextKey(this, key, defaultValue);
    }
    contextMatchesRules(rules) {
        if (!rules) {
            return true;
        }
        const context = this.getContext(null);
        return rules.evaluate(context);
    }
    getContextKeyValue(key) {
        const fragment = graphql_tag_1.default `
        fragment Context${key}  on Context {
            ${key}
        }
        `;
        return this.cache.readFragment({
            fragment,
            id: this.utility.getCacheKey({ __typename: "Context" }),
        });
    }
    getContext(target) {
        const data = this.cache.readFragment({
            fragment: core_1.AllContextFragmentDoc,
            id: this.utility.getCacheKey({ __typename: "Context" }),
        });
        return {
            getValue(key) {
                return data[key];
            },
        };
    }
    setContext(key, value) {
        const fragment = graphql_tag_1.default `
        fragment Context${key}  on Context {
            ${key}
        }
        `;
        this.cache.writeFragment({
            fragment,
            id: this.utility.getCacheKey({ __typename: "Context" }),
            data: Object.assign({}, value, { __typename: "Context" }),
        });
    }
    removeContext(key) {
        this.setContext(key, null);
    }
};
ContextKeyService = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(client_react_1.ClientTypes.InMemoryCache)),
    __param(1, inversify_1.inject(client_react_1.ClientTypes.UtilityClass))
], ContextKeyService);
exports.ContextKeyService = ContextKeyService;


/***/ }),

/***/ "./src/services/context/index.ts":
/*!***************************************!*\
  !*** ./src/services/context/index.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./context-key-service */ "./src/services/context/context-key-service.ts"));
__export(__webpack_require__(/*! ./resource-key-context */ "./src/services/context/resource-key-context.ts"));


/***/ }),

/***/ "./src/services/context/resource-key-context.ts":
/*!******************************************************!*\
  !*** ./src/services/context/resource-key-context.ts ***!
  \******************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var ResourceContextKey_1;
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
const core_2 = __webpack_require__(/*! @files-stack/core */ "@files-stack/core");
const uri_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/base/common/uri */ "@vscode/monaco-editor/esm/vs/base/common/uri");
const resources_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/base/common/resources */ "@vscode/monaco-editor/esm/vs/base/common/resources");
const contextkey_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey */ "@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey");
const types_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/base/common/types */ "@vscode/monaco-editor/esm/vs/base/common/types");
let ResourceContextKey = ResourceContextKey_1 = class ResourceContextKey {
    constructor(contextKeyService, _modeService, _fileService) {
        this._modeService = _modeService;
        this._fileService = _fileService;
        this._schemeKey = ResourceContextKey_1.Scheme.bindTo(contextKeyService);
        this._filenameKey = ResourceContextKey_1.Filename.bindTo(contextKeyService);
        this._langIdKey = ResourceContextKey_1.LangId.bindTo(contextKeyService);
        this._resourceKey = ResourceContextKey_1.Resource.bindTo(contextKeyService);
        this._extensionKey = ResourceContextKey_1.Extension.bindTo(contextKeyService);
        this._hasResource = ResourceContextKey_1.HasResource.bindTo(contextKeyService);
        this._isFileSystemResource = ResourceContextKey_1.IsFileSystemResource.bindTo(contextKeyService);
    }
    set(resource) {
        const value = resource ? uri_1.URI.revive(resource) : null;
        if (!ResourceContextKey_1._uriEquals(this.get(), value)) {
            this._resourceKey.set(value);
            this._schemeKey.set(value ? value.scheme : null);
            this._filenameKey.set(value ? resources_1.basename(value) : null);
            this._langIdKey.set(value ? this._modeService.getModeIdByFilepathOrFirstLine(value.fsPath) : null);
            this._extensionKey.set(value ? resources_1.extname(value) : null);
            this._hasResource.set(!!value);
            this._isFileSystemResource.set(value ? this._fileService.canHandleResource(value) : false);
        }
    }
    reset() {
        this._schemeKey.reset();
        this._langIdKey.reset();
        this._resourceKey.reset();
        this._langIdKey.reset();
        this._extensionKey.reset();
        this._hasResource.reset();
        this._isFileSystemResource.reset();
    }
    get() {
        return types_1.withNullAsUndefined(this._resourceKey.get());
    }
    static _uriEquals(a, b) {
        if (a === b) {
            return true;
        }
        if (!a || !b) {
            return false;
        }
        return a.scheme === b.scheme
            && a.authority === b.authority
            && a.path === b.path
            && a.query === b.query
            && a.fragment === b.fragment
            && a.toString() === b.toString();
    }
};
ResourceContextKey.Scheme = new contextkey_1.RawContextKey('resourceScheme', undefined);
ResourceContextKey.Filename = new contextkey_1.RawContextKey('resourceFilename', undefined);
ResourceContextKey.LangId = new contextkey_1.RawContextKey('resourceLangId', undefined);
ResourceContextKey.Resource = new contextkey_1.RawContextKey('resource', undefined);
ResourceContextKey.Extension = new contextkey_1.RawContextKey('resourceExtname', undefined);
ResourceContextKey.HasResource = new contextkey_1.RawContextKey('resourceSet', false);
ResourceContextKey.IsFileSystemResource = new contextkey_1.RawContextKey('isFileSystemResource', false);
ResourceContextKey = ResourceContextKey_1 = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(core_1.ClientTypes.IContextKeyService)),
    __param(1, inversify_1.inject(core_1.ClientTypes.IModeService)),
    __param(2, inversify_1.inject(core_2.ClientTypes.IFileService))
], ResourceContextKey);
exports.ResourceContextKey = ResourceContextKey;


/***/ }),

/***/ "./src/services/editor-service.ts":
/*!****************************************!*\
  !*** ./src/services/editor-service.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const standaloneServices_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices */ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices");
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
let EditorService = class EditorService {
    addCodeEditor(editor) {
        return standaloneServices_1.StaticServices.codeEditorService.get().addCodeEditor(editor);
    }
    removeCodeEditor(editor) {
        return standaloneServices_1.StaticServices.codeEditorService.get().removeCodeEditor(editor);
    }
    listCodeEditors() {
        return standaloneServices_1.StaticServices.codeEditorService.get().listCodeEditors();
    }
    addDiffEditor(editor) {
        return standaloneServices_1.StaticServices.codeEditorService.get().addDiffEditor(editor);
    }
    removeDiffEditor(editor) {
        return standaloneServices_1.StaticServices.codeEditorService.get().removeDiffEditor(editor);
    }
    listDiffEditors() {
        return standaloneServices_1.StaticServices.codeEditorService.get().listDiffEditors();
    }
    getFocusedCodeEditor() {
        return standaloneServices_1.StaticServices.codeEditorService.get().getFocusedCodeEditor();
    }
    registerDecorationType(key, options, parentTypeKey) {
        return standaloneServices_1.StaticServices.codeEditorService.get().registerDecorationType(key, options, parentTypeKey);
    }
    removeDecorationType(key) {
        return standaloneServices_1.StaticServices.codeEditorService.get().removeDecorationType(key);
    }
    resolveDecorationOptions(typeKey, writable) {
        return standaloneServices_1.StaticServices.codeEditorService.get().resolveDecorationOptions(typeKey, writable);
    }
    setTransientModelProperty(model, key, value) {
        return standaloneServices_1.StaticServices.codeEditorService.get().setTransientModelProperty(model, key, value);
    }
    getTransientModelProperty(model, key) {
        return standaloneServices_1.StaticServices.codeEditorService.get().getTransientModelProperty(model, key);
    }
    getActiveCodeEditor() {
        return standaloneServices_1.StaticServices.codeEditorService.get().getActiveCodeEditor();
    }
    openCodeEditor(input, source, sideBySide) {
        return standaloneServices_1.StaticServices.codeEditorService.get().openCodeEditor(input, source, sideBySide);
    }
};
EditorService = __decorate([
    inversify_1.injectable()
], EditorService);
exports.EditorService = EditorService;


/***/ }),

/***/ "./src/services/index.ts":
/*!*******************************!*\
  !*** ./src/services/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./useServiceHook */ "./src/services/useServiceHook.tsx"));
__export(__webpack_require__(/*! ./editor-service */ "./src/services/editor-service.ts"));
__export(__webpack_require__(/*! ./model-service */ "./src/services/model-service.ts"));
__export(__webpack_require__(/*! ./mode-service */ "./src/services/mode-service.ts"));
__export(__webpack_require__(/*! ./context */ "./src/services/context/index.ts"));


/***/ }),

/***/ "./src/services/mode-service.ts":
/*!**************************************!*\
  !*** ./src/services/mode-service.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var ModeService_1;
const rxjs_1 = __webpack_require__(/*! rxjs */ "rxjs");
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const standaloneServices_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices */ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices");
let ModeService = ModeService_1 = class ModeService {
    constructor() {
        this.onDidCreateMode = rxjs_1.fromEventPattern(standaloneServices_1.StaticServices.modeService.get().onDidCreateMode);
    }
    static getModeService() {
        if (!this._modeService) {
            this._modeService = standaloneServices_1.StaticServices.modeService.get();
        }
        return this._modeService;
    }
    getExtensions(alias) {
        return ModeService_1.getModeService().getExtensions(alias);
    }
    getFilenames(alias) {
        return ModeService_1.getModeService().getFilenames(alias);
    }
    getModeId(commaSeparatedMimetypesOrCommaSeparatedIds) {
        return ModeService_1.getModeService().getModeId(commaSeparatedMimetypesOrCommaSeparatedIds);
    }
    getMimeForMode(modeId) {
        return ModeService_1.getModeService().getMimeForMode(modeId);
    }
    getLanguageName(modeId) {
        return ModeService_1.getModeService().getLanguageName(modeId);
    }
    getModeIdForLanguageName(alias) {
        return ModeService_1.getModeService().getModeIdForLanguageName(alias);
    }
    getModeIdByFilepathOrFirstLine(filepath, firstLine) {
        return ModeService_1.getModeService().getModeIdByFilepathOrFirstLine(filepath, firstLine);
    }
    getLanguageIdentifier(modeId) {
        return ModeService_1.getModeService().getLanguageIdentifier(modeId);
    }
    create(commaSeparatedMimetypesOrCommaSeparatedIds) {
        return ModeService_1.getModeService().create(commaSeparatedMimetypesOrCommaSeparatedIds);
    }
    createByLanguageName(languageName) {
        return ModeService_1.getModeService().createByLanguageName(languageName);
    }
    createByFilepathOrFirstLine(filepath, firstLine) {
        return ModeService_1.getModeService().createByFilepathOrFirstLine(filepath, firstLine);
    }
};
ModeService = ModeService_1 = __decorate([
    inversify_1.injectable()
], ModeService);
exports.ModeService = ModeService;


/***/ }),

/***/ "./src/services/model-service.ts":
/*!***************************************!*\
  !*** ./src/services/model-service.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var ModelService_1;
const rxjs_1 = __webpack_require__(/*! rxjs */ "rxjs");
const standaloneServices_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices */ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices");
const standaloneEditor_1 = __webpack_require__(/*! @vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneEditor */ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneEditor");
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
let ModelService = ModelService_1 = class ModelService {
    constructor() {
        this.onModelAdded = rxjs_1.fromEventPattern(standaloneServices_1.StaticServices.modelService.get().onModelAdded);
        this.onModelRemoved = rxjs_1.fromEventPattern(standaloneServices_1.StaticServices.modelService.get().onModelRemoved);
        this.onModelModeChanged = rxjs_1.fromEventPattern(standaloneServices_1.StaticServices.modelService.get().onModelModeChanged);
        this.onModelAdded.subscribe(e => console.log('[check>>>]: model added', e.uri));
    }
    static getModelService() {
        if (!this._modelService) {
            this._modelService = standaloneServices_1.StaticServices.modelService.get();
        }
        return this._modelService;
    }
    createModel(value, languageSelection, resource, isForSimpleWidget) {
        let model;
        const service = ModelService_1.getModelService();
        if (service) {
        }
        if (typeof languageSelection === 'string') {
            model = standaloneEditor_1.createModel(value, languageSelection, resource);
        }
        else {
            model = standaloneServices_1.StaticServices.modelService.get().createModel(value, languageSelection, resource);
        }
        return model;
    }
    updateModel(model, value) {
        return standaloneServices_1.StaticServices.modelService.get().updateModel(model, value);
    }
    setMode(model, languageSelection) {
        return standaloneServices_1.StaticServices.modelService.get().setMode(model, languageSelection);
    }
    getModel(uri) {
        return standaloneServices_1.StaticServices.modelService.get().getModel(uri);
    }
    getCreationOptions(language, resource, isForSimpleWidget) {
        return standaloneServices_1.StaticServices.modelService.get().getCreationOptions(language, resource, isForSimpleWidget);
    }
    getModels() {
        return standaloneServices_1.StaticServices.modelService.get().getModels();
    }
    destroyModel(resource) {
        return standaloneServices_1.StaticServices.modelService.get().destroyModel(resource);
    }
};
ModelService = ModelService_1 = __decorate([
    inversify_1.injectable()
], ModelService);
exports.ModelService = ModelService;


/***/ }),

/***/ "./src/services/useServiceHook.tsx":
/*!*****************************************!*\
  !*** ./src/services/useServiceHook.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(__webpack_require__(/*! react */ "react"));
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const react_common_1 = __webpack_require__(/*! @apollo/react-common */ "@apollo/react-common");
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
let __service_instance__;
function useService() {
    const { container, modules } = React.useContext(components_1.InversifyContext);
    const { client } = React.useContext(react_common_1.getApolloContext());
    if (__service_instance__) {
        return __service_instance__;
    }
    if (!container) {
        throw new Error('Container is null');
    }
    container.bind(client_react_1.ClientTypes.ApolloClient).toDynamicValue(context => client);
    container.bind(client_react_1.ClientTypes.InMemoryCache).toDynamicValue(context => client.cache);
    __service_instance__ = modules.createService({}, {});
    return __service_instance__;
}
exports.useService = useService;


/***/ }),

/***/ "@apollo/react-common":
/*!***************************************!*\
  !*** external "@apollo/react-common" ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@apollo/react-common");

/***/ }),

/***/ "@common-stack/client-react":
/*!*********************************************!*\
  !*** external "@common-stack/client-react" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/client-react");

/***/ }),

/***/ "@files-stack/core":
/*!************************************!*\
  !*** external "@files-stack/core" ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@files-stack/core");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/base/common/resources":
/*!*********************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/base/common/resources" ***!
  \*********************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/base/common/resources");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/base/common/types":
/*!*****************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/base/common/types" ***!
  \*****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/base/common/types");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/base/common/uri":
/*!***************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/base/common/uri" ***!
  \***************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/base/common/uri");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneEditor":
/*!******************************************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneEditor" ***!
  \******************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneEditor");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices":
/*!********************************************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices" ***!
  \********************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/editor/standalone/browser/standaloneServices");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey":
/*!*************************************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey" ***!
  \*************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/platform/contextkey/common/contextkey");

/***/ }),

/***/ "@vscode/monaco-editor/esm/vs/platform/registry/common/platform":
/*!*********************************************************************************!*\
  !*** external "@vscode/monaco-editor/esm/vs/platform/registry/common/platform" ***!
  \*********************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@vscode/monaco-editor/esm/vs/platform/registry/common/platform");

/***/ }),

/***/ "@workbench-stack/components":
/*!**********************************************!*\
  !*** external "@workbench-stack/components" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/components");

/***/ }),

/***/ "@workbench-stack/core":
/*!****************************************!*\
  !*** external "@workbench-stack/core" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/core");

/***/ }),

/***/ "@workbench-stack/layout":
/*!******************************************!*\
  !*** external "@workbench-stack/layout" ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/layout");

/***/ }),

/***/ "@workbench-stack/modal":
/*!*****************************************!*\
  !*** external "@workbench-stack/modal" ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/modal");

/***/ }),

/***/ "@workbench-stack/output-browser":
/*!**************************************************!*\
  !*** external "@workbench-stack/output-browser" ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/output-browser");

/***/ }),

/***/ "@workbench-stack/settings":
/*!********************************************!*\
  !*** external "@workbench-stack/settings" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/settings");

/***/ }),

/***/ "apollo-cache-inmemory":
/*!****************************************!*\
  !*** external "apollo-cache-inmemory" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("apollo-cache-inmemory");

/***/ }),

/***/ "graphql-tag":
/*!******************************!*\
  !*** external "graphql-tag" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("graphql-tag");

/***/ }),

/***/ "inversify":
/*!****************************!*\
  !*** external "inversify" ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("inversify");

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "react" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ "rxjs":
/*!***********************!*\
  !*** external "rxjs" ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("rxjs");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map